<?php

declare(strict_types=1);

namespace Gls\GlsPoland\DependencyInjection;

use Symfony\Component\DependencyInjection\ServiceSubscriberInterface as LegacyServiceSubscriber;
use Symfony\Contracts\Service\ServiceSubscriberInterface as ContractsServiceSubscriber;

if (interface_exists(LegacyServiceSubscriber::class)) {
    interface ServiceSubscriberInterface extends LegacyServiceSubscriber
    {
    }
} else {
    interface ServiceSubscriberInterface extends ContractsServiceSubscriber
    {
    }
}
